Bug 694538 - g-p-m doesn't return to previous brightness level when dimmed and distracted
g-p-m doesn't return to previous brightness level when dimmed and distracted
Status: CLOSED DUPLICATE of bug 693205
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
15
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-07 11:28 EDT by Tomáš Bžatek
Modified: 2015-03-03 17:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-21 22:18:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
g-p-m verbose output (10.85 KB, text/plain)
2011-04-07 11:28 EDT, Tomáš Bžatek
no flags Details
g-p-m -v output on Atom tablet (178.58 KB, text/plain)
2011-04-18 15:17 EDT, James
no flags Details

  None (edit)
Description Tomáš Bžatek 2011-04-07 11:28:25 EDT
Created attachment 490581 [details]
g-p-m verbose output

Description of problem:
When screen is dimmed as a result of inactivity, distracting the computer - i.e. moving the mouse, key press doesn't restore previous brightness level - it stays on its original value.

Version-Release number of selected component (if applicable):
upower-0.9.9-1.fc15.i686
gnome-power-manager-3.0.0-1.fc15.i686
This is GNOME30-Live-2011-04-06-17.iso

How reproducible:
always

Steps to Reproduce:
1. start Gnome desktop (gnome-shell)
2. wait about 20 sec. for screen to dim
3. move the mouse, notice the brightness is not restored

Additional info:
This is Dell Latitude D520 with 945GM
Keys for setting brightness work fine, no skipping due to double key handling by BIOS and the driver.
Comment 1 Christophe Fergeau 2011-04-12 09:31:56 EDT
This happens on a thinkpad x201 with intel too (00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)) so it's not limited to this specific Dell model. Using a reasonably up to date fedora 15 install (at most a few days old)
Comment 2 James 2011-04-18 15:17:52 EDT
Created attachment 492987 [details]
g-p-m -v output on Atom tablet

Seen here also on my Atom tablet. Things worked absolutely fine with Fedora 14, may be related to Bug 693205? (This tablet has no dedicated brightness buttons. However, it does dim/brighten slightly when AC is removed/plugged in without g-p-m running.)
Comment 3 Charles R. Anderson 2011-04-21 22:18:49 EDT

*** This bug has been marked as a duplicate of bug 693205 ***

Note You need to log in before you can comment on or make changes to this bug.